ID로 뉴스 기사 가져오기
curl --request GET \
--url https://api.x.com/2/news/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/news/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/news/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rest_id": "2244994945",
"category": "<string>",
"cluster_posts_results": [
{
"post_id": "1346889436626259968"
}
],
"contexts": {
"entities": {
"events": [
"<string>"
],
"organizations": [
"<string>"
],
"people": [
"<string>"
],
"places": [
"<string>"
],
"products": [
"<string>"
]
},
"finance": {
"tickers": [
"<string>"
]
},
"sports": {
"teams": [
"<string>"
]
},
"topics": [
"<string>"
]
},
"disclaimer": "<string>",
"hook": "<string>",
"keywords": [
"<string>"
],
"last_updated_at_ms": "2025-7-14T04:35:55Z",
"name": "<string>",
"summary": "<string>"
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}뉴스
ID로 뉴스 기사 가져오기
ID로 뉴스 기사를 조회합니다.
GET
/
2
/
news
/
{id}
ID로 뉴스 기사 가져오기
인증
BearerTokenOAuth2UserTokenUserToken
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
경로 매개변수
뉴스 기사의 ID입니다. 뉴스 기사에 대한 고유 식별자입니다.
Pattern:
^[0-9]{1,19}$예시:
"2244994945"
쿼리 매개변수
요청에 포함할 News 필드의 쉼표로 구분된 목록입니다. News 객체에서 지정할 수 있는 필드입니다.
Minimum array length:
1사용 가능한 옵션:
category, cluster_posts_results, contexts, disclaimer, hook, id, keywords, name, summary, updated_at 예시:
[ "category", "cluster_posts_results", "contexts", "disclaimer", "hook", "id", "keywords", "name", "summary", "updated_at" ]
응답
요청이 성공했습니다.
AI가 생성한 뉴스 기사입니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I